;                      Start a second simulator instance.
;
;
; This command file starts a second, independent simulator instance.  It is
; called by the System Processor command file to start the I/O Processor as a
; separate process.  The first parameter is the name of the command file to
; execute.  Any additional parameters are optional and are passed to the second
; instance.  This command file is never invoked directly by the user.
;
;
; NOTES:
;
;  - The host system command used to start another simulator instance in its
;    own terminal window is host-OS-specific.  For Windows, the "start" command
;    may be used to create a normal window or "start /min" to create a minimized
;    window.  For Unix, the "xterm -e" command might be used.


; Ensure that we can pick up the executable path.

if "%SIM_BIN_PATH%" == "" echo Must use a newer simulator version (10/25/17 or later).
if "%SIM_BIN_PATH%" == "" exit


; Start a second simulator instance.  The command used below MUST be modified
; for the specific host operating system in use.  The percent-escaped parameters
; that follow the command must be used verbatim.

! start %SIM_BIN_PATH% %1 %2 %3 %4 %5
